C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA

Igesファイルの3D曲線のインポートに挑む1

こちらの続きです。 Fusion360APIで外部実行ファイルを実行 - C#ATIA前回は、Fusion360からmruby_sirenを呼び出しデータの受け取り方が わかったので、より実践的にIgesファイルを読み込み3D曲線の情報から 曲線を作ります。GurbCADにUpしたデータでのテスト こちらは、…

Fusion360APIで外部実行ファイルを実行

何となく読み込みが出来そうな気がしてきたので、Fusion360からsirenを 呼び出すテストをしようと思ったのですが、大苦戦…。まず、mruby-sirenの実行ファイルを C:\Temp\siren_0.14d_mingw64\bin\mruby.exeの位置になるようにしました。続いて呼び出し用のsi…

Fusion360APIでLine Arc Nurbsを作成してみる2

こちらの続き Fusion360APIでLine Arc Nurbsを作成してみる1 - C#ATIA少しマシになりましたが、ちょっと遠回りだな… #FusionAPI_python #Author-kantoku #Description-CurvesTest2 #Line Arc Nurbs作成テスト import adsk.core, adsk.fusion, traceback _app = a…

Fusion360APIでLine Arc Nurbsを作成してみる1

こちらの続き Fusion360APIでNURBS曲線を作成してみる3 - C#ATIALine Arc Nurbsの各種入ったIgesをこちらにUpしました。 GrabCAD - CAD library (ファイル名:nurbs_curve_3d_sample1.igs)閉じた円弧はArc3Dでは都合悪いかも知れませんが(未テスト) sire…

Fusion360APIでNURBS曲線を作成してみる3

こちらの続きです。 Fusion360APIでNURBS曲線を作成してみる2 - C#ATIA前回のものを修正し、より実践的なNURBS曲線を作ってみます。 耐え切れなかった為、こちらにサンプルデータをUpしました。 GrabCAD - CAD library CATIAで作成した曲線と、確認用に押出しした…

Fusion360APIでNURBS曲線を作成してみる2

こちらの続きです。 Fusion360APIでNURBS曲線を作成してみる - C#ATIA前回スプリクトで作成したNURBS曲線の方法では、不要なコントロールポイントが 削除し切れなかったのですが、思い付きで遠回りな方法を行ったら 意図していた結果となりました。 #FusionAPI_python #Au…

Fusion360APIでNURBS曲線を作成してみる

避けては通れないNURBS曲線のスプリクト作成ですが、 困った程にサンプルが見当たりませんでした。手探りまくりでようやくこのようなコードが出来上がりました。 #FusionAPI_python #Author-kantoku #Description-NurbsCurve3D_Test1 #Nurbsカーブ作成テスト import adsk.c…

siren v0.14 線の情報を取得する2

時間が無い。 こちらの続きです。 siren v0.14 線の情報を取得する - C#ATIA曲線を扱う以上、パラメータを取得したかったのですが こちらの説明の first last params が反応しませんでした。 class Edge · dyama/mruby-siren Wiki · GitHubサンプルコードにパラメータの取…

問題を解決したい・・・

先月末辺りから再びsiren(mruby-siren)に再挑戦しているのですが、 その理由は、これらの問題をsirenを利用すれば解決できるかな? と思い付いたからです。解決済み: igesライン(カーブ)データのインポート - Autodesk Communitystp形式等のファイルを読み…

siren v0.14 線の情報を取得する

既にタイトルがあやふやですが、こちらの続きです。 siren v0.14 線の種類を判断する - C#ATIA実際には使わない事になりそうな・・・ あぁ後々の為の練習です。 #Siren_script include Siren fName = "/curves" $inPath = ARGV[0] + fName + ".igs" $exPath = AR…

siren v0.14 NURBS曲線2

こちらの続きです。 siren v0.14 NURBS曲線 - C#ATIA以前はIgesを読み込み、読み込んだ曲線をそのまま書き出していましたが 今度は読み込んだ曲線から各要素を読み取り、コントロールポイントのみを2倍にし 新たな曲線をsirenで作成し書き出してみました。 #!siren # …

siren v0.14 NURBS曲線

どちらかと言うと、こちらの続き。 siren v0.13 NURBS曲線・Bスプライン曲線 - C#ATIAgithubにUpされていた数値をそのままお借りして再挑戦しました。 #!siren # coding: utf-8 include Siren fName = "/nurbu3" $inPath = ARGV[0] + fName + ".igs" $exPath…

siren v0.14 線の種類を判断する

こちらの続きです。 siren v0.14 を試してみました - C#ATIA開発者の方にちょっとサンプルコードを書いていただいたのですが、 回答として書いて頂いたこと以上に、重要な方法がサンプルに入っていました。 #Siren_script Export_Curve_Test include Siren fName = "…

siren v0.14 を試してみました

こちらの続きです。 siren v0.13 線の種類を判断する - C#ATIAsirenをv0.14にして頂きました。 Release siren v0.14(draft version) binary package for MS-Windows · dyama/mruby-siren · GitHubナカナカ取り掛かれ無い為、前回のスプリクトをv0.13とv0.14で 実行し…

siren v0.13 線の種類を判断する

こちらの続きです。 siren v0.13 線の種類を判断したい - C#ATIA業務が忙しく・・・。 こんな感じのデータを作り、Igesでエクスポート。 "直線" "円弧" "曲線" "点" "サーフェス" "ソリッド" が 混在しています。 このIgesから境界線等ではない 純粋な線の要素を抜き出しま…

siren v0.13 線の種類を判断したい

こちらの続きです。 siren v0.13 NURBS曲線・Bスプライン曲線 - C#ATIA通過点を指定するスプラインを試したところ出来たので、 NURBS曲線・Bスプライン曲線はちょっと諦める事にしました。次に線が "直線" "円弧" "曲線" を判断出来るようにしたい 所なんです。こん…

siren v0.13 NURBS曲線・Bスプライン曲線

こちらの続きです。行き詰まり感たっぷりなのですが、ちょっと試してみたい事が あったので引き続き挑戦。こちらの何でもない3Dな曲線をCATIAで作成しIgesでエクスポート。(curve1.igs) 続いてSirenスプリクトをこんな感じで作成します。 # include Siren fName = "/c…

siren v0.13 再び挑戦してみる2

こちらの続きです。 siren v0.13 再び挑戦してみる - C#ATIA既に諦めかかってます。 欲しかったのは3Dな曲線で NURBS曲線・Bスプライン曲線辺りです。GitHubの "シェイプ生成メソッド" を参考に テストされたスプリクトコードを 試しているのですが、上手く出来ないで…

siren v0.13 再び挑戦してみる

昨日ちょっと良い事を思いついたので、1年半ぶりぐらいにsirenに 再挑戦する事にしました。以前利用させてもらった時は "v0.11" だったのですが、 最新版は "v0.13" です。こちらで作ったsirenスプリクト実行用vbsを参照先パスだけ 変更したのですが、ダメでした。…

3Dの点をリンク付きでスケッチ投影

COEでこちらの記述を見て、作ってみました。 http://www.coe.org/p/fo/st/thread=29815レスしたものはインデントが消えてしまっているので Sub CATMain() 'HybridBody-Points Dim HBdy As HybridBody Set HBdy = SelectItem("Select a HybridBody : ESC = Cancel",…

二つのボディ/形状セットを比較して、差分を抽出する2

こちらの続きです。 http://kantoku.hatenablog.com/entry/2016/11/24/173743 http://kantoku.hatenablog.com/entry/2017/07/19/190425原因を突き止め切れていないのですが、結果が総当りと 一致するようになりました。まずは、本マクロのエントリーポイントを持つ標準モ…

バッチ処理前にマクロでモデルをチェックする

久々にPowerMillのマクロです。 かなり忘れています。PowerMillで苦労している部分は多々あるのですが、 一番精神的にダメージを受けるのが、モデルのインポート。お互いイロイロとライセンスが無い為、Igesで受け渡しを行っています。 どうやら苦労されているのは、僕だけではな…

差分を抽出マクロ修正中

こちらの続きです。 マクロを直したい(愚痴) - C#ATIA少しづつ時間が確保出来たので、修正しているのですが・・・。 こちらのマクロの問題点は、互いの面を総当りで比較している と言う点です。 二つのボディ/形状セットを比較して、差分を抽出する - C#ATIA過去に作った…

Autodesk OnDemand Webinars

Autodeskさんは取り扱い製品数が多すぎて、迷子になってしまう為 完全に個人的な覚書です。https://www.autodesk.co.uk/campaigns/mfg-webinar/webinars-on-demand/cad-cam最近はほぼ使用していないPowerMillなのですが、正直な所使いこなせて いないですし…

Parasolidのインポートエラーを修復するVBS

こちらの続きです。 Parasolidのエラー2 - C#ATIA少しづつ時間が確保出来たので、こちらを真剣に調べてみました。 結果的に・・・ どうやらスペース文字だったようです。 (使用したエディタではスペース文字が上手く検索できなかったのかな・・・)2件続いた事例を考えると、…

マクロを直したい(愚痴)

最近忙しい一番の原因は、週に2~3回変更が入ってくる案件。 一体何時終わるのだろう・・・。"あぁこんな事が出来るんだなぁ" 程度に思って作ったこちらのマクロが 活躍してくれます。二つのボディ/形状セットを比較して、差分を抽出する - C#ATIA サーフェスの色をボディに…

滑らかさを手に入れる

最近忙しかったのですが、一山だけ超えました。二番目の原因が、リバースエンジニアリングな仕事のマネキンのモデリングです。 3Dスキャンしたものからサーフェス化したものの一部(背中)がこちらフリースタイルなライセンスが無い為、ゼブラ表示が出来ません。 代わりに "サーフェスの曲率 - 屈折領域" …

Parasolidのエラー2

こちらの続きです。 Parasolidのエラー - C#ATIAこれの続きを書くと思っていませんでした・・・。 新規に支給されたParasolidファイル、再び変換できなかったので 前回の出来事を教訓に、エディタで検索したもののHitせず。 断念して再度支給してもらいました。前回同…

CATPart内エラー時のUpdateObject

こちらでコメント頂いた 「GetMeasurableはUpdate出来ないと長さも取得できそうにありません」 について、解決されたようですが、試しているうちに知らなかった事に 出くわした為、記載しておきます。 選択した円弧の長さを表示1 - C#ATIA テストしたデータはこん…

アクティブCATPartを、Igesファイルにバッチ変換

ちょっと業務上欲しくなったので、CATPartファイルをIgesに変換する為の マクロを作成しました。" マクロにする必要ある? " と思った方、正解です。単に変換するだけであれば、必要性を感じないのですが、オプションの こちらの部分を変更しソリッドとサーフェスで二回変換してます…

ThickOnTheFly1

こちらでクリックした際、肉厚を取得しました。 クリックした面に3Dな矢印と注記を作る - C#ATIAこちらの方法を流用して ボディの外側をマクロで判断する - C#ATIA動的に肉厚を取得できないかなぁ? と思い挑戦中です。画面左下のステータスバーの位置に、測定した肉厚の値を表…

UpdateObjectとComputeの違い

こちらで教えて頂いた、Computeメソッド UpdateとUpdateObject - C#ATIAこちらで試した際は気が付かなかったのですが、 スピードテスト5 - C#ATIAPartクラスのUpdateObjectメソッドは各HybridShapeクラスのComputeメソッドを 呼び出しているだけなのかな? と思っていたので…

ボディの外側をマクロで判断する

以前、3次元測定機の測定結果(CSV)をCATIAに取り込み、 実物とCADデータを差を調整しながらモデリングを行った事があったのですが、 大量の点をイチイチ測定する手間が非現実的なため、誤差を測定する為の マクロを作成し作業をしたことが有ります。単に 点 - ボディ 間の…

スピードテスト5

一応、こちらの続きです。 http://kantoku.hatenablog.com/entry/2015/04/15/195513前回のコメントで、"HybridShapeクラスのComputeメソッドでもアップデート出来るよ" と imihitoさんに教えていただき、少し速くなりそうな気がしたので、 こちらのコードを元に試してみまし…

UpdateとUpdateObject

"マクロで作成した面の色を変更したけど、上手く反映されない" と言った内容の御質問を頂きました。このような状態のデータで、オフセット面を作成する操作の マクロを記録しました。 'vba Sub CATMain() Dim partDocument1 As PartDocument Set partDocument1 = CATIA.Ac…

DrawをPDFでエクスポート (未解決)

こちらの記載を見てみると、DrawをPDFに高速で変換する方法を お探しのようでした。Fastest way to convert CATDrawing to PDF - DASSAULT: CATIA products - Eng-Tips添付されているマクロを見ても、結局開いてPDFとして保存してました。 恐らくそれしか方法無…

クリックした面に3Dな矢印と注記を作る

こちらの続きです。 3Dな注記の位置を制御出来ているっぽい(条件付き) - C#ATIAやっと完成しました。 注記位置については前回通り、条件付となりますが結構満足してます。 'vba sample_CreateArrow_ver0.0.3 using-'ver0.0.10' 'クリックした面に矢印を作成-注記…

3Dな注記の位置を制御出来ているっぽい(条件付き)

こちらの続きです。 3Dな注記の位置を制御したい - C#ATIA前回はX軸が縦になった状態の場合、注記が意図しない位置に 出来上がってしまいました。 最後に "一瞬だけ画面を動かせば" と書いたのですが、 実際に取り入れたところ、上手く行っているように感じ…

3Dな注記の位置を制御したい

こちらの続きです。 クリックした面に3Dな矢印を作る - C#ATIA 注記の追加に取り掛かっているのですが、やはり注記の位置を制御 するのに困っています。未完成の為、コード無しですがこのような感じまでは出来ています。 動画の最初の操作では、意図した位置に出来…

クリックした面に3Dな矢印を作る

タイトルが異なりますが、こちらの続きです。 クリックした面に法線を作成する - C#ATIAこちらでコメント頂いている矢の部分ですが、 昨日自宅で、どの様な定義をすれば良いのか思いついたので コードを作成してみました。 (このような事は案外、PCの前に居ない時に思いつ…

マクロで干渉レポートを作成する

こちらのコメントに記載した、マクロで干渉レポートを作成するサンプルを 作成しました。 クリックした面に法線を作成する - C#ATIA コードはこちら。 'vba sample_ClashReport_ver0.01 using-'ver0.0.10' '指定した2つのプロダクトの干渉チェックをします Option Explicit Sub CATMain…

Viewpoint3Dで表示を動かす2

こちらのコメントで御質問頂いた "画面中心に表示させる" 方法のサンプルです。 クリックした面に法線を作成する - C#ATIA と言っても、過去にテストしたコードを64bitで動くように 修正しただけなのですが・・・ Viewpoint3Dで表示を動かす - C#ATIA 'vba test_Viewpoint3D ver…

読み取り専用でファイルを開く2

昨日、imihitoさんからのアドバイスを利用するために書き換えてみました。 読み取り専用でファイルを開く1 - C#ATIAVBA.FileSystem.SetAttr/GetAttr関数を利用して進めていたのですが、 ファイルの存在をチェックや拡張子を取得する関数類がVBA.FileSystemには 存在していな…

読み取り専用でファイルを開く1

"読み取り専用でファイルを開きたい" と御質問を頂きました。 過去に探した事が有り、"Unofficial CATIA User Forum" にも 記載したのですが・・・ 生憎、ソースコードの管理が悪く サンプルが見つかりませんでした。結論としては、CATIAのマクロでドウコウでは無く、FileSystemOb…

クリックした面に法線を作成する

こちらでコメント頂いたのですが、時間がナカナカ確保できずに サンプルを作れませんでした。3Dの文字モデリングマクロ8 - C#ATIA正直な所、完成した状態がイメージし切れていないため、クリックした 面のクリックした位置に法線を作成するマクロを作成してみました。 'vba sample_Cre…

Parasolidのエラー

客先からメールで支給してもらった複数のParasolidファイルうち1個だけが 変換できずにエラー。Fusion360 , Space-e , 3DTascalX , A360Viewer 全てでNGだったので ファイルが壊れていると確信。再度客先より支給してもらうと、今度はOKでした。 ファイルを比較してみると、小…

Cube in a Cube 1(予告)

先日のジュラコンの切削条件を探していた際に見つけたこちらの動画キューブ内のキューブ - YouTube驚きました、旋盤でこれを作るとは・・・。探してみるとこちらは 工具、治具を作るところから、最後はそれらの寸法までCube in a cube / Turners cube - YouTubeしか…

ゴールネットのフック

こちらの続きです。Fusion360CAM ポスト処理(オマケ) - C#ATIA案の定、数が激減したため、重い腰をやっと上げて再度作成しました。 数が減る最大の原因は、ネットからフック部分が外れて紛失しているようで 割れてしまっているわけでは無さそうです。前回は既製品を真似…

サーフェスの色をボディに反映する2

こちらの続きですが、タイトル名がふさわしくないです。サーフェスの色をボディに反映する - C#ATIAtakashiさんからコメントを頂き、早速ご要望を反映してみました。 'vba sample_ApplyColor_ver0.0.2 using-'KCL0.0.10' '指定した形状セット(ボディ)の面の色をボディ(形状セット)…

Autodesk Certified User

PowerMillは、常に蚊帳の外…Certiport | Home - Certify to Succeed